import request from '@/utils/request'

// 查询房间管理列表
export function listHouse(query) {
  return request({
    url: '/zdsz/house/list',
    method: 'get',
    params: query
  })
}

// 查询房间管理详细
export function getHouse(id) {
  return request({
    url: '/zdsz/house/' + id,
    method: 'get'
  })
}

// 新增房间管理
export function addHouse(data) {
  return request({
    url: '/zdsz/house',
    method: 'post',
    data: data
  })
}

// 修改房间管理
export function updateHouse(data) {
  return request({
    url: '/zdsz/house',
    method: 'put',
    data: data
  })
}

// 删除房间管理
export function delHouse(id) {
  return request({
    url: '/zdsz/house/' + id,
    method: 'delete'
  })
}

export function getHouses(unitId) {
  return request({
    url: '/zdsz/house/getHousesList/',
    method: 'GET',
    params:{
      unitId:unitId
    }
  })
}
